Bug 38731 - ttmkfdir program does not work (to create tt fonts.scale file)
ttmkfdir program does not work (to create tt fonts.scale file)
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: freetype (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-02 08:23 EDT by tony.ransom
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-11 00:35:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tony.ransom 2001-05-02 08:23:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)


The ttmkfdir program, used to create the true type fonts.scale file, does
not work. It simply states 'Aborted' when run. The fonts.scale file is not
created.

Reproducible: Always
Steps to Reproduce:
1. While superuser, cd to the directory where your tt fonts are stored.
2. Run ttmkfdir -o fonts.scale
3. Observe the program produces output of "Aborted"
	

Actual Results:  The program produces output of "Aborted"

Expected Results:  The file fonts.scale should be created.

None
Comment 1 Bernhard Rosenkraenzer 2001-05-02 11:20:10 EDT
Works here... What TT fonts are you using?
Comment 2 tony.ransom 2001-05-02 22:29:59 EDT
I'm using Windows 98 fonts. Maybe there's a permission problem? I will check this tonight.
Comment 3 tony.ransom 2001-05-03 09:07:25 EDT
Checked and changed permissions on the .ttf files to '444'. No difference, still
get 'Aborted' when I try to run ttmkfdir.

Note that this worked in my previous RH installation. When I installed 7.1 I
backed up the fonts then reinstalled after.
Comment 4 Bernhard Rosenkraenzer 2001-05-03 09:54:04 EDT
Assigning to freetype, which contains ttmkfdir.
ttfonts is our collection of free TrueType fonts; ttmkfdir works perfectly with
those.
Comment 5 Mike A. Harris 2001-05-11 00:35:34 EDT
I do not have any fonts with which to test this and reproduce the problem.
Microsoft fonts are copyrighted, so I can't ask you to send them to me in
a tar.gz'd file via email so that I can try to reproduce the situation as
that would violate the Microsoft EULA licensing agreement I am sure.  ;o)


Comment 6 Mike A. Harris 2001-06-12 17:09:38 EDT
The above comment by the way was a very lame attempt at a sense of humor. ;o)
It appears nobody took it that way..  Oh well, it was lame.  ;o)

At any rate... I have just taken the fonts from a Windows 98SE installation,
copied them into a dir /tmp/ttfonts, and then went in that dir and ran:

ttmkfdir -o fonts.scale

The program works exactly as expected.

Note You need to log in before you can comment on or make changes to this bug.